## etoile 0%2B20080616%2Bdfsg

=== debian/changelog ===
etoile (0+20080616+dfsg-3build2) questing; urgency=medium

  * Rebuild against latest gnustep

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 08:34:40 -0400

etoile (0+20080616+dfsg-3build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 12:30:53 +0100

etoile (0+20080616+dfsg-3) unstable; urgency=medium

  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Switch to debhelper-compat; set level
    to 13.  Add gnustep-make (>= 2.9.2-2) for dh_gnustep's --app option.
    Remove imagemagick.  Add dpkg-build-api (= 1).
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Standards-Version): Claim compliance with 4.7.0.
  * debian/compat: Delete.
  * debian/rules: Rewrite from scratch for modern dh.
  * debian/install: New file; install the .desktop file.
  * debian/manpages: New file.
  * debian/dictionaryreader.app.menu: Delete.
  * debian/DictionaryReader.desktop (Icon): Amend path to /usr/share.
    (Keywords): New entry.
  * debian/preinst: Delete; obsolete.
  * debian/docs: Delete; not useful.
  * debian/watch: Use a fake site as there's no upstream.
  * debian/copyright: Rewrite in copyright-format 1.0.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Oct 2024 11:00:49 +0300

etoile (0+20080616+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 (quilt) format (Closes: #1007453).
  * Move Vcs to salsa (Closes: #1025509).

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 22:40:25 +0100

etoile (0+20080616+dfsg-2) unstable; urgency=low

  * debian/compat: Bump to 7.
  * debian/control (Section): Change to `gnustep'.
    (Uploaders): Remove Hubert.
    (Build-Depends): Require debhelper >= 7, unversion
    libgnustep-gui-dev.  Remove dpatch.
    (camaelon.app): Remove: obsoleted upstream, incompatible with
    the GSTheme reimplementation in gnustep-gui/0.18.x which is what we'll
    ship in Squeeze (Closes: #581928).
    (wildmenus.app): About time to kick that out, too.
    (Depends): Add ${misc:Depends}.
    (Standards-Version): Compliant with 3.8.4 as of this upload.
    (Homepage): Change to the new confusingly named homepage etoileos.com.
    (Vcs-Arch): New field.
  * debian/Camaelon:
  * debian/Camaelon.1:
  * debian/WildMenus:
  * debian/WildMenus.1:
  * debian/camaelon.app.manpages:
  * debian/camaelon.app.menu:
  * debian/camaelon.app.overrides:
  * debian/dictionaryreader.app.manpages:
  * debian/dictionaryreader.app.overrides:
  * debian/wildmenus.app.manpages:
  * debian/wildmenus.app.menu: Slaughter (with pleasure).
  * debian/patches/06_camaelon_include.dpatch:
  * debian/patches/00list: Remove; obsolete.
  * debian/rules: Trivial mass changes to cater for packages' removal.
    Export GNUSTEP_MAKEFILES and get rid of gs_make usage.  Rename/adjust
    targets/prerequisites to cope with dpatch removal.
    (d_app): Define for convenience; all uses changed.
    (OPTFLAG): Remove; rework/simplify noopt handling to be compatible
    with gnustep-make/2.4.x (Closes: #581929).
    (clean): Pass all manually deleted files to dh_clean.
    (install): Replace dh_clean -k with dh_prep.  Don't install any
    lintian overrides; overriding most of them was wrong.
    (binary-arch): Remove -p argument to dh_installmenu; there is only one
    binary package now.  Explicitly install dictionaryreader.app's
    manpage.  Conditionally move arch-indep Resources to /usr/share.
  * debian/DictionaryReader.1: Fix typos and obvious mistakes.
  * debian/DictionaryReader.desktop: Make it valid.
  * debian/watch:
  * debian/source/format: New file.
  * debian/preinst: New file; the standard FHS_ME_HARDER script.
  * debian/copyright: Change upstream URL.  Add more copyright
    years/holder(s); forgotten in previous uploads.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 20 May 2010 15:17:39 +0300

etoile (0+20080616+dfsg-1) unstable; urgency=low

  * Update Camaelon bundle to SVN snapshot (2008-06-16), to work with
    latest GNUstep.
    * debian/patches/05_camaelon.dpatch: Remove. (obsolete)
    * debian/control: Require gnustep-gui >= 0.14.
  * debian/control: Add depends on ${gnustep:Depends}.
  * debian/rules: Call gsdh_gnustep.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 16 Jun 2008 17:37:01 -0400

etoile (0+20060914+dfsg-4) unstable; urgency=low

  * Remove the WildMenus bundle, and use NSMenuInterfaceStyle instead.
  * debian/rules: Use gs_make.

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 13 Jun 2008 06:42:53 -0400

etoile (0+20060914+dfsg-3) unstable; urgency=low

  * debian/patches/06_camaelon_include.dpatch: Avoid implicit pointer
    conversion. (Closes: #465302)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 24 Mar 2008 21:17:13 -0400

etoile (0+20060914+dfsg-2) unstable; urgency=low

  [Yavor Doganov]
  * debian/control (Maintainer, Uploaders): Adopting package; set the
    GNUstep team as maintainer and myself as uploader (Closes: #450493).
    (Build-Depends): Bump debhelper to >= 5, libgnustep-gui-dev to >=
    0.12.  Add dpatch and imagemagick; drop gnustep-make.
    (Homepage): Added, moved from the packages' descriptions.
    (camaelon.app) [Depends]: Remove camaelon-data.
    (camaelon-data) [Description]: Mention that it's a dummy package to be
    removed (not removing now to avoid NEW processing which might slow the
    GNUstep transition).
  * debian/compat: Set to 5.
  * debian/rules: Include /usr/share/dpatch/dpatch.make.
    (LDFLAGS): Define.
    (OPTFLAG): New conditionally defined variable.
    (build-stamp): Use the new variables.  Do not source GNUstep.sh.
    Prepend GNUSTEP_MAKEFILES and append messages=yes.  Use automatic
    variable for `touch'.
    (build): Depend on the `patch' target.  Convert dict.png in XPM
    format for the debian menu.
    (clean): Renamed to `clean-patched'; depend on `unpatch'.
    (clean-patched): Use gs_make.  (Closes: #450473).  Delete the
    generated XPM icon.

