## etoile 0+20080616+dfsg

=== debian/control ===
Source: etoile
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 7),
	       libgnustep-gui-dev,
	       imagemagick
Standards-Version: 3.8.4
Vcs-Git: https://salsa.debian.org/gnustep-team/etoile.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/etoile
Homepage: http://etoileos.com

Package: dictionaryreader.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: Dict client for GNUstep
 DictionaryReader is a dictionary application that queries Dict servers in
 the internet to let you look up words. It's aimed to be lightweight and
 easy to use.
