=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
  http://download.gna.org/etoile/etoile-([\d].*)\.tar\.gz
